Page MenuHomePhabricator

MediaWiki-Vagrant varnish role fails to provision
Closed, ResolvedPublic

Description

Vagrant version: 1.8.1
MediaWiki-Vagrant version: 8f1efe2

When I run the following commands

cd /tmp
git clone git clone --recursive https://gerrit.wikimedia.org/r/mediawiki/vagrant mediawiki-vagrant
cd mediawiki-vagrant
vagrant roles enable varnish
vagrant up --provision

I (eventually) see the following error:

==> default: Notice: /Stage[main]/Varnish/Exec[build_xkey]/returns: /tmp/build-xkey.sh: line 6: ./autogen.sh: No such file or directory
==> default: Notice: /Stage[main]/Varnish/Exec[build_xkey]/returns: /tmp/build-xkey.sh: line 7: ./configure: No such file or directory
==> default: Notice: /Stage[main]/Varnish/Exec[build_xkey]/returns: make: *** No targets specified and no makefile found.  Stop.
==> default: Notice: /Stage[main]/Varnish/Exec[build_xkey]/returns: make: *** No rule to make target `install'.  Stop.
==> default: Error: /tmp/build-xkey.sh returned 2 instead of one of [0]
==> default: Error: /Stage[main]/Varnish/Exec[build_xkey]/returns: change from notrun to 0 failed: /tmp/build-xkey.sh returned 2 instead of one of [0]

P2882 contains all of the console output of the command.

Event Timeline

phuedx created this task.Apr 11 2016, 2:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2016, 2:04 PM
phuedx renamed this task from varnish role fails to provision to MediaWiki-Vagrant varnish role fails to provision.Apr 11 2016, 2:06 PM

The varnish/libvmod-xkey repository has been moved to varnish/varnish-modules, though the master branch should still build.

ema added a subscriber: ema.Apr 11 2016, 4:27 PM

… though the master branch should still build.

The smallest possible patch to fix this issue is indeed:

diff --git a/puppet/modules/varnish/manifests/init.pp b/puppet/modules/varnish/manifests/init.pp
index 416d031..3f11220 100644
--- a/puppet/modules/varnish/manifests/init.pp
+++ b/puppet/modules/varnish/manifests/init.pp
@@ -197,6 +197,7 @@ class varnish {
     git::clone { 'libvmod-xkey':
         directory => '/tmp/libvmod-xkey',
         remote    => 'https://github.com/varnish/libvmod-xkey',
+        branch    => 'master'
     }

     file { '/tmp/build-xkey.sh':

I haven't had the time to investigate which additional modules are installed as part of varnish/varnish-modules.

bd808 added subscribers: bd808, AdHuikeshoven.
bd808 added a subscriber: Gilles.

This problem may have been fixed by a recently merged patch from @Gilles: https://gerrit.wikimedia.org/r/#/c/282911/

Gilles closed this task as Resolved.Apr 14 2016, 7:48 AM
Gilles claimed this task.

Indeed, my commit fixed that problem by pointing to the new repo.

Restricted Application added a project: Operations. · View Herald TranscriptMay 4 2016, 9:13 AM